/*
 * ShowTextCustom.java    1.0 97/08/28
 *
 * Copyright (c) 1997 Netscape Communications Corporation
 *
 * Netscape grants you a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Netscape.
 *
 * This software is provided "AS IS," without a warranty of any kind.
 * See the CDK License Agreement for additional terms and conditions.
 */

import java.awt.*;

public class ShowTextCustom extends java.applet.Applet {
    public String  message = null;

    public void init() {
    	String textVal = getParameter("message");
    	setMessage(textVal);
    	setFont(new Font("TimesRoman",Font.ITALIC | Font.BOLD,36));
    }

    public void paint(Graphics g) {
        g.setColor(Color.gray);
    	g.drawString(message,20, 45);
        g.setColor(Color.black);
    	g.drawString(message,17, 40);
    }


    /**
     * getMessage is the getter method for the message property
     */
    public String getMessage() {
        return message;
    }

    /**
     * setMessage is the setter method for the message property
     */
    public void setMessage(String newVal) {
        message = newVal;
    	if (message == null) {
    	    message = "Netscape";
    	}
	repaint();
    }

}

